import { createAggregatedClient } from "@smithy/smithy-client";
import { AssociateChannelCommand, } from "./commands/AssociateChannelCommand";
import { AssociateManagedNotificationAccountContactCommand, } from "./commands/AssociateManagedNotificationAccountContactCommand";
import { AssociateManagedNotificationAdditionalChannelCommand, } from "./commands/AssociateManagedNotificationAdditionalChannelCommand";
import { CreateEventRuleCommand, } from "./commands/CreateEventRuleCommand";
import { CreateNotificationConfigurationCommand, } from "./commands/CreateNotificationConfigurationCommand";
import { DeleteEventRuleCommand, } from "./commands/DeleteEventRuleCommand";
import { DeleteNotificationConfigurationCommand, } from "./commands/DeleteNotificationConfigurationCommand";
import { DeregisterNotificationHubCommand, } from "./commands/DeregisterNotificationHubCommand";
import { DisableNotificationsAccessForOrganizationCommand, } from "./commands/DisableNotificationsAccessForOrganizationCommand";
import { DisassociateChannelCommand, } from "./commands/DisassociateChannelCommand";
import { DisassociateManagedNotificationAccountContactCommand, } from "./commands/DisassociateManagedNotificationAccountContactCommand";
import { DisassociateManagedNotificationAdditionalChannelCommand, } from "./commands/DisassociateManagedNotificationAdditionalChannelCommand";
import { EnableNotificationsAccessForOrganizationCommand, } from "./commands/EnableNotificationsAccessForOrganizationCommand";
import { GetEventRuleCommand, } from "./commands/GetEventRuleCommand";
import { GetManagedNotificationChildEventCommand, } from "./commands/GetManagedNotificationChildEventCommand";
import { GetManagedNotificationConfigurationCommand, } from "./commands/GetManagedNotificationConfigurationCommand";
import { GetManagedNotificationEventCommand, } from "./commands/GetManagedNotificationEventCommand";
import { GetNotificationConfigurationCommand, } from "./commands/GetNotificationConfigurationCommand";
import { GetNotificationEventCommand, } from "./commands/GetNotificationEventCommand";
import { GetNotificationsAccessForOrganizationCommand, } from "./commands/GetNotificationsAccessForOrganizationCommand";
import { ListChannelsCommand, } from "./commands/ListChannelsCommand";
import { ListEventRulesCommand, } from "./commands/ListEventRulesCommand";
import { ListManagedNotificationChannelAssociationsCommand, } from "./commands/ListManagedNotificationChannelAssociationsCommand";
import { ListManagedNotificationChildEventsCommand, } from "./commands/ListManagedNotificationChildEventsCommand";
import { ListManagedNotificationConfigurationsCommand, } from "./commands/ListManagedNotificationConfigurationsCommand";
import { ListManagedNotificationEventsCommand, } from "./commands/ListManagedNotificationEventsCommand";
import { ListNotificationConfigurationsCommand, } from "./commands/ListNotificationConfigurationsCommand";
import { ListNotificationEventsCommand, } from "./commands/ListNotificationEventsCommand";
import { ListNotificationHubsCommand, } from "./commands/ListNotificationHubsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { RegisterNotificationHubCommand, } from "./commands/RegisterNotificationHubCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateEventRuleCommand, } from "./commands/UpdateEventRuleCommand";
import { UpdateNotificationConfigurationCommand, } from "./commands/UpdateNotificationConfigurationCommand";
import { NotificationsClient } from "./NotificationsClient";
const commands = {
    AssociateChannelCommand,
    AssociateManagedNotificationAccountContactCommand,
    AssociateManagedNotificationAdditionalChannelCommand,
    CreateEventRuleCommand,
    CreateNotificationConfigurationCommand,
    DeleteEventRuleCommand,
    DeleteNotificationConfigurationCommand,
    DeregisterNotificationHubCommand,
    DisableNotificationsAccessForOrganizationCommand,
    DisassociateChannelCommand,
    DisassociateManagedNotificationAccountContactCommand,
    DisassociateManagedNotificationAdditionalChannelCommand,
    EnableNotificationsAccessForOrganizationCommand,
    GetEventRuleCommand,
    GetManagedNotificationChildEventCommand,
    GetManagedNotificationConfigurationCommand,
    GetManagedNotificationEventCommand,
    GetNotificationConfigurationCommand,
    GetNotificationEventCommand,
    GetNotificationsAccessForOrganizationCommand,
    ListChannelsCommand,
    ListEventRulesCommand,
    ListManagedNotificationChannelAssociationsCommand,
    ListManagedNotificationChildEventsCommand,
    ListManagedNotificationConfigurationsCommand,
    ListManagedNotificationEventsCommand,
    ListNotificationConfigurationsCommand,
    ListNotificationEventsCommand,
    ListNotificationHubsCommand,
    ListTagsForResourceCommand,
    RegisterNotificationHubCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateEventRuleCommand,
    UpdateNotificationConfigurationCommand,
};
export class Notifications extends NotificationsClient {
}
createAggregatedClient(commands, Notifications);
