import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { NotificationsClientResolvedConfig } from "../NotificationsClient";
export interface NotificationsHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface NotificationsHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    NotificationsClientResolvedConfig,
    HandlerExecutionContext,
    NotificationsHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultNotificationsHttpAuthSchemeParametersProvider: (
  config: NotificationsClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<NotificationsHttpAuthSchemeParameters>;
export interface NotificationsHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<NotificationsHttpAuthSchemeParameters> {}
export declare const defaultNotificationsHttpAuthSchemeProvider: NotificationsHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: NotificationsHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: NotificationsHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
